Bug 191462 - resuming from S3 on RV350 does not reinitialize video properly
resuming from S3 on RV350 does not reinitialize video properly
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-12 04:21 EDT by Thomas M Steenholdt
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-06 10:02:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -v output (5.68 KB, text/plain)
2006-05-12 04:21 EDT, Thomas M Steenholdt
no flags Details
dmidecode output (13.18 KB, text/plain)
2006-05-12 04:22 EDT, Thomas M Steenholdt
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 7022 None None None Never

  None (edit)
Description Thomas M Steenholdt 2006-05-12 04:21:43 EDT
Description of problem:
On my IBM ThinkPad T42, using the radeon driver in X.org works fine until the
time when i suspend (S3) and resume. On resume, backlight comes on but screen
stays black with random twitching/flashing once in a while. It looks (to my
untrained eye) like the chip is somehow not properly initialized upon resume.
I've had to install then fglrx driver from rpm.livna.org, and although id much
rather be using the X.org driver, the fglrx actually resumes nicely.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.5.8.0-1

How reproducible:
always


Steps to Reproduce:
1. install fedora on a T42 with radeon RV350 video
2. login, then close the lid and wait for system to suspend
3. open the lid and wait for system to resume
  
Actual results:
System resumes, but video never comes back properly. It doesn't stay black either.

Expected results:
Video should resume correctly, leaving me with a password prompt or working
desktop etc...

Additional info:
Comment 1 Thomas M Steenholdt 2006-05-12 04:21:43 EDT
Created attachment 128930 [details]
lspci -v output
Comment 2 Thomas M Steenholdt 2006-05-12 04:22:30 EDT
Created attachment 128931 [details]
dmidecode output
Comment 3 Thomas M Steenholdt 2006-05-12 04:23:56 EDT
Let me know what kind of info to provide you with and I'll do my best to get it
for you.
Comment 4 Mike A. Harris 2006-05-23 10:19:35 EDT
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 5 Thomas M Steenholdt 2006-05-24 04:11:24 EDT
Submitted xorg bug #7022 for the problem: 

https://bugs.freedesktop.org/show_bug.cgi?id=7022

I've put in updated observations too.

Note You need to log in before you can comment on or make changes to this bug.